Bug 216300 - Review Request: chemtool - A program for 2D drawing organic molecules
Review Request: chemtool - A program for 2D drawing organic molecules
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Package Reviews List
:
Depends On: 216299
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-11-18 20:45 EST by Dominik 'Rathann' Mierzejewski
Modified: 2007-12-12 14:32 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-21 07:05:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+


Attachments (Terms of Use)
Mock build log of chemtool 1.6.9-1.fc7 (47.49 KB, text/plain)
2006-11-19 02:13 EST, Mamoru TASAKA
no flags Details
Mock build log of chemtool 1.6.9-2.fc7 (47.18 KB, text/plain)
2006-11-19 12:23 EST, Mamoru TASAKA
no flags Details
rpmbuild build log of chemtool 1.6.9-2.fc7 (23.28 KB, text/plain)
2006-11-19 12:42 EST, Mamoru TASAKA
no flags Details
rpmbuild build log of chemtool 1.6.9-3.fc7 (23.28 KB, text/plain)
2006-11-19 23:15 EST, Mamoru TASAKA
no flags Details
rpmbuild build log of chemtool 1.6.9-3.fc7 (correct one) (22.83 KB, text/plain)
2006-11-19 23:16 EST, Mamoru TASAKA
no flags Details

  None (edit)
Description Dominik 'Rathann' Mierzejewski 2006-11-18 20:45:15 EST
Spec URL: http://rpm.greysector.net/extras/chemtool.spec
SRPM URL: http://rpm.greysector.net/extras/chemtool-1.6.9-1.src.rpm
Description:
Chemtool is a program for drawing organic molecules easily and store them
in a variety of output formats including as a X bitmap, Xfig, SVG or EPS
file.  It runs under the X Window System using the GTK widget set.
Comment 1 Mamoru TASAKA 2006-11-19 02:13:25 EST
Created attachment 141574 [details]
Mock build log of chemtool 1.6.9-1.fc7

Mockbuild fails on FC-devel i386. Please check the
build log attached.

NOTE: in mockbuild environ, %{_desktopdir} and etc are not defined!!
(I have not yet checked precisely why).
Comment 2 Dominik 'Rathann' Mierzejewski 2006-11-19 12:03:24 EST
rpm --showrc on FC6 does have it. Anyway, I replaced those macros:
http://rpm.greysector.net/extras/chemtool.spec
http://rpm.greysector.net/extras/chemtool-1.6.9-2.src.rpm
Comment 3 Mamoru TASAKA 2006-11-19 12:23:05 EST
Created attachment 141586 [details]
Mock build log of chemtool 1.6.9-2.fc7

Umm.. still not okay.
Comment 4 Paul F. Johnson 2006-11-19 12:28:25 EST
etc is defined as %{_sysconfdir}

I'm not sure, but you may also need the scriptlet...
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets?highlight=%28snippets%29%7C%28script%29#head-7103f6c38d1b5735e8477bdd569ad73ea2c49bda

Comment 5 Mamoru TASAKA 2006-11-19 12:34:41 EST
Actually I have not yet checked this package precisely as 
recently I use mockbuild and I will not check the package unless build
succeeds......

NOTE: my environ is FC-devel i386.
Comment 6 Mamoru TASAKA 2006-11-19 12:42:18 EST
Created attachment 141588 [details]
rpmbuild build log of chemtool 1.6.9-2.fc7

Umm... rpmbuild succeeded.

From diff of the two files I attached, it seems that
some BR are missing.
Comment 7 Dominik 'Rathann' Mierzejewski 2006-11-19 14:47:25 EST
Builds in mock devel/x86_64 now. Added those scriptlets, too.
http://rpm.greysector.net/extras/chemtool.spec
http://rpm.greysector.net/extras/chemtool-1.6.9-3.src.rpm
Comment 8 Mamoru TASAKA 2006-11-19 23:15:09 EST
Created attachment 141615 [details]
rpmbuild build log of chemtool 1.6.9-3.fc7

This time mockbuild succeeds, however, rpmbuild fails.

From configure and your spec file (1.6.9-3), it seems that
if the directory /usr/share/mimelnk or /usr/share/mime-info
exists, 'make install' tries to install some extra files. 
Check your configure option
--------------------------------------
  --with-kdedir=%{_prefix} \
  --with-gnomedir=%{_prefix}
-------------------------------------- ,
around the line 4534-4581 of configure, and the build log by
rpmbuild attached.

Currently /usr/share/mimelnk are owned by kdelibs and OOo-core
(OOo=openoffice.org), /usr/share/mime-info is owned by OOo-core.
So if one of these rpms is installed, rpmbuild fails.
(Note: /usr/share/mime-info is not owned by gnome-mime-data, however
some files under /usr/share/mime-info are owned by gnome-mime-data)

You can fix this by either the following.
* BuildRequire kdelibs and gnome-mime-data (or OOo-core!)
  and fix your spec file
  so that extra files installed by 'make install' are correctly
  removed
* Use 'rm -f' against possibly installed extra files (not 'rm')
  I think this is the best idea.
* Pass the directory which does not exist to configure option.
  i.e. --with-kdedir=the_directory_which_does_not_seem_to_exist .
Comment 9 Mamoru TASAKA 2006-11-19 23:16:58 EST
Created attachment 141616 [details]
rpmbuild build log of chemtool 1.6.9-3.fc7 (correct one)

Oops... this is the correct build log.
Comment 10 Dominik 'Rathann' Mierzejewski 2006-11-20 08:04:08 EST
http://rpm.greysector.net/extras/chemtool.spec
http://rpm.greysector.net/extras/chemtool-1.6.9-4.src.rpm

Builds both with mock and with plain rpmbuild.
Comment 11 Mamoru TASAKA 2006-11-20 11:05:01 EST
Okay, this time both mockbuild and rpmbuild are okay.
Then doing the full review.

1. From http://fedoraproject.org/wiki/Packaging/Guidelines :

* Licensing
- Well, it seems that this package is licensed under GPL according
  to several source codes, however, many source codes have no
  licensing terms. Would you ask upstream to clarify the license
  (or include GPL document to source tarball)? (currently not a
  blocker).

2. From http://fedoraproject.org/wiki/Packaging/ScriptletSnippets :
* desktop-database
- fedora-chemtool.desktop has mimetype keys,
-------------------------------------------
MimeType=application/x-chemtool;Application
-------------------------------------------
  which requires update-desktop-database.

3. From http://fedoraproject.org/wiki/Packaging/ReviewGuidelines :
   (= okay)

4. Other things I have noticed:
- %doc
  I think %doc examples/ (i.e. include 'example' directory itself)
  is better than %doc examples/* .
Comment 12 Dominik 'Rathann' Mierzejewski 2006-11-20 18:49:43 EST
(In reply to comment #11)
> Okay, this time both mockbuild and rpmbuild are okay.
> Then doing the full review.
> 
> 1. From http://fedoraproject.org/wiki/Packaging/Guidelines :
> 
> * Licensing
> - Well, it seems that this package is licensed under GPL according
>   to several source codes, however, many source codes have no
>   licensing terms. Would you ask upstream to clarify the license
>   (or include GPL document to source tarball)? (currently not a
>   blocker).

Mail sent.

> 2. From http://fedoraproject.org/wiki/Packaging/ScriptletSnippets :
> * desktop-database
> - fedora-chemtool.desktop has mimetype keys,
> -------------------------------------------
> MimeType=application/x-chemtool;Application
> -------------------------------------------
>   which requires update-desktop-database.

Done.

> 4. Other things I have noticed:
> - %doc
>   I think %doc examples/ (i.e. include 'example' directory itself)
>   is better than %doc examples/* .

Done.

http://rpm.greysector.net/extras/chemtool.spec
http://rpm.greysector.net/extras/chemtool-1.6.9-5.src.rpm
Comment 13 Mamoru TASAKA 2006-11-21 06:03:12 EST
Okay.

--------------------------------------------------------------
    This package (chemtool) is APPROVED by me
Comment 14 Dominik 'Rathann' Mierzejewski 2006-11-21 06:37:15 EST
Imported and built for devel, FC5 and FC6 branches requested. Thank you very
much for the review.
Comment 15 Dominik 'Rathann' Mierzejewski 2007-12-12 05:54:55 EST
Package Change Request
======================
Package Name: chemtool
New Branches: EL-5
Comment 16 Kevin Fenzi 2007-12-12 14:32:41 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.